<?php

if (!eregi("modules.php", $_SERVER['PHP_SELF'])) {
    die ("You can't access this file directly...");
}

$module_name = basename(dirname(__FILE__));

$index = 1;

function ProjectDefault() {
    global $module_name;
    include("header.php");
    OpenTable();
    echo "&middot;<a href=\"modules.php?name=$module_name&amp;file=index\">Defualt</a>";
    CloseTable();
    include("footer.php");

}

function ProjectDriver() {
    global $module_name;
    include("header.php");
    OpenTable();
	echo "<br>";
    echo "<center><strong>XyberSYSTEM Intelligent Inc. Network 프로젝트</strong><br><br>";

	// table starts
	echo "<table cellpadding=\"2\" cellspacing=\"2\" border=\"0\" style=\"text-align: left; width: 95%;\">";
		echo "<tbody>";
			echo "<tr>";
				echo "<td style=\"vertical-align: top; horizontal-align: left; width: 50px; height= 53px;\" background=\"ImageCache/Frame01.gif\">";
				echo "<a href=\"modules.php?name=$module_name&amp;file=ProjPerceptron\">";
				echo "<img src=\"ImageCache/PerceptronAnim.gif\" align=\"top\" width=\"46px\" height=\"46px\" style=\"border: 0px solid;\">";
				echo "</a>";
				echo "</td>";
				echo "<td style=\"vertical-align: top; background-color: rgb(234, 234, 234);\">";
				echo "<a href=\"modules.php?name=$module_name&amp;file=ProjPerceptron\">";
				echo "<span style=\"font-weight: bold;\">Perceptron</span>&reg;<br>";
				echo "</a>";
				echo "2D/3D/2.5D 캐드, 모델러, 레코더, 에니메이터, 렌더, OODB 통합 패키지 엔진<br>";
				echo "</td>";
			echo "</tr>";
			echo "<tr>";
				echo "<td style=\"vertical-align: top; horizontal-align: left; width: 50px; height= 53px;\" background=\"ImageCache/Frame01.gif\">";
				echo "<a href=\"modules.php?name=$module_name&amp;file=ProjVLanStreamer\">";
				echo "<img src=\"ImageCache/VLanStreamerAnim.gif\" align=\"top\" width=\"46px\" height=\"46px\"  style=\"border: 0px solid;\">";
				echo "</a>";
				echo "</td>";
				echo "<td style=\"vertical-align: top;\"><span style=\"font-weight: bold;\">";
				echo "<a href=\"modules.php?name=$module_name&amp;file=ProjVLanStreamer\">";
				echo "VLanStreamer</span>&reg;<br>";
				echo "</a>";
				echo "비디오/멀티미디어 방송을 위한 Client/Server 통합 엔진<br>";
				echo "</td>";
			echo "</tr>";
			echo "<tr>";
				echo "<td td style=\"vertical-align: top; horizontal-align: left; width: 50px; height= 53px;\" background=\"ImageCache/Frame01.gif\">";
				echo "<a href=\"modules.php?name=$module_name&amp;file=ProjWebPHone\">";
				echo "<img src=\"ImageCache/CellPhoneAnim.gif\" align=\"top\" width=\"46px\" height=\"46px\"  style=\"border: 0px solid;\">";
				echo "</a>";
				echo "</td>";
				echo "<td style=\"vertical-align: top; background-color: rgb(234, 234, 234);\">";
				echo "<span style=\"font-weight: bold;\">";
				echo "<a href=\"modules.php?name=$module_name&amp;file=ProjWebPhone\">";
				echo "&nbsp;XWebPhone&reg; MP2MP<br>";
				echo "</a>";
				echo "</span>";
				echo "인터넷을 통한 화상 전화 엔진/클라이언트, 인터넷 전화국 서비스<br>";
				echo "</td>";
			echo "</tr>";
			echo "<tr>";
				echo "<td td style=\"vertical-align: top; horizontal-align: left; width: 50px; height= 53px;\" background=\"ImageCache/Frame01.gif\">";
				echo "<a href=\"modules.php?name=$module_name&amp;file=ProjXEMTA\">";
				echo "<img src=\"ImageCache/XEMTAAnim.gif\" align=\"top\" width=\"46px\" height=\"46px\" style=\"border: 0px solid;\">";
				echo "</a>";
				echo "</td>";
				echo "<td style=\"vertical-align: top;\">";
				echo "<a href=\"modules.php?name=$module_name&amp;file=ProjXEMTA\">";
				echo "<span style=\"font-weight: bold;\">XEMTA</span>&reg;for Win/ Linux/ Solaris/ FreeBSD/ IRIX/ AIX/ NetBSD";
				echo "</a>";
				echo "<br>메일 서버 엔진: SMTP/ESMTP/POP3/APOP/IMAP4 무한 계정의 고성능 가상 메일 엔진<br>";
				echo "</td>";
			echo "</tr>";
			echo "<tr>";
				echo "<td td style=\"vertical-align: top; horizontal-align: left; width: 50px; height= 53px;\" background=\"ImageCache/Frame01.gif\">";
				echo "<a href=\"modules.php?name=$module_name&amp;file=ProjXWebMail\">";
				echo "<img src=\"ImageCache/XWebMailAnim.gif\" align=\"top\" width=\"46px\" height=\"46px\" style=\"border: 0px solid;\">";
				echo "</a>";
				echo "</td>";
				echo "<td style=\"vertical-align: top; background-color: rgb(234, 234, 234);\">";
				echo "<a href=\"modules.php?name=$module_name&amp;file=ProjXWebMail\">";
				echo "<span style=\"font-weight: bold;\">XWebMail</span>&reg; Standard/ Advanced";
				echo "</a>";
				echo "<br>PHP로만 작성된, 안정성 및 고속 수행성 웹메일 클라이언트<br>";
				echo "</td>";
			echo "</tr>";
			echo "<tr>";
				echo "<td td style=\"vertical-align: top; horizontal-align: left; width: 50px; height= 53px;\" background=\"ImageCache/Frame01.gif\">";
				echo "<a href=\"modules.php?name=$module_name&amp;file=ProjXEKA\">";
				echo "<img src=\"ImageCache/XEKAAnim.gif\" align=\"top\" width=\"46px\" height=\"46px\" style=\"border: 0px solid;\">";
				echo "</a>";
				echo "</td>";
				echo "<td style=\"vertical-align: top;\">";
				echo "<a href=\"modules.php?name=$module_name&amp;file=ProjXEKA\">";
				echo "<span style=\"font-weight: bold;\">XEKA (Xyber Encrypted Key Agent)</span>&reg;";
				echo "</a>";
				echo "<br>30종의 암호화/ 탈암호화/ 복호화를 지원하는 암호화 엔진 서버 (cryptography engine): 1024 public/private key<br>";
				echo "</td>";
			echo "</tr>";
			echo "<tr>";
				echo "<td td style=\"vertical-align: top; horizontal-align: left; width: 50px; height= 53px;\" background=\"ImageCache/Frame01.gif\">";
				echo "<a href=\"modules.php?name=$module_name&amp;file=ProjXCommunity\">";
				echo "<img src=\"ImageCache/XCommunityAnim.gif\" align=\"top\" width=\"46px\" height=\"46px\" style=\"border: 0px solid;\">";
				echo "</a>";
				echo "</td>";
				echo "<td style=\"vertical-align: top; background-color: rgb(234, 234, 234);\">";
				echo "<a href=\"modules.php?name=$module_name&amp;file=ProjXCommunity\">";
				echo "<span style=\"font-weight: bold;\">XCommunity</span>";
				echo "</a>";
				echo "<br>웹 디자인으로부터의 해방을 위한 자동화 컨텐츠 엔진<br>";
				echo "</td>";
			echo "</tr>";
			echo "<tr>";
				echo "<td td style=\"vertical-align: top; horizontal-align: left; width: 50px; height= 53px;\" background=\"ImageCache/Frame01.gif\">";
				echo "<a href=\"modules.php?name=$module_name&amp;file=ProjHeart\">";
				echo "<img src=\"ImageCache/HeartAnim.gif\" align=\"top\" width=\"46px\" height=\"46px\" style=\"border: 0px solid;\">";
				echo "</a>";
				echo "</td>";
				echo "<td style=\"vertical-align: top;\">";
				echo "<a href=\"modules.php?name=$module_name&amp;file=ProjHeart\">";
				echo "<span style=\"font-weight: bold;\">비영리 및 사회복지 사업단체 지원 사업 (Supportive Publicity)</span>";
				echo "</a>";
				echo "<br>순수한 공익 목적, 사회복지를 위한, (완전 비영리 단체) XyberSYSTEM Network의 무상 지원<br>";
				echo "</td>";
				echo "</tr>";
			echo "<tr>";
				echo "<td td style=\"vertical-align: top; horizontal-align: left; width: 50px; height= 53px;\" background=\"ImageCache/Frame01.gif\">";
				echo "<a href=\"modules.php?name=$module_name&amp;file=ProjGNUGPL\">";
				echo "<img src=\"ImageCache/penguin_webwalk.gif\" align=\"top\" width=\"46px\" height=\"46px\" style=\"border: 0px solid;\">";
				echo "</a>";
				echo "</td>";
				echo "<td style=\"vertical-align: top; background-color: rgb(234, 234, 234);\">";
				echo "<a href=\"modules.php?name=$module_name&amp;file=ProjGNUGPL\">";
				echo "<span style=\"font-weight: bold;\">";
				echo "GNU/GPL/OpenSource 프로젝트";
				echo "</span>";
				echo "</a>";
				echo "<br>비상업성 목적을 갖는 개발자들을 위한 OpenSource. free-software 라이센스의 정의에 충실한 자유 개발자들을 위한 열린 공간<br>";
				echo "</td>";
			echo "</tr>";
		echo "</tbody>";
	echo "</table>";
	echo "</center>";

	// echo "<img src=\"ImageCache/PerceptronAnim.gif\" align=\"left\" title=\"Goto Perceptron Project\" alt=\"\" style=\"border: 0px solid;\">&nbsp;<strong>Perceptron</strong>&reg;</a><br>";
	// echo "2D/3D/2.5D 캐드, 모델러, 레코더, 에니메이터, 렌더, OODB의 통합 패키지 엔진<br>";
	// echo "<br><br>";
    // echo "<a href=\"modules.php?name=$module_name&amp;file=ProjVLanStreamer\"><img src=\"ImageCache/VLanStreamerAnim.gif\" align=\"left\" title=\"Goto VLanStreamer Project\" alt=\"\" style=\"border: 0px solid;\">&nbsp;<strong>VLanStreamer&reg;Video Streaming 엔진</strong></a><br><br><br><br>";
    // echo "<a href=\"modules.php?name=$module_name&amp;file=ProjWebPhone\"><img src=\"ImageCache/CellPhoneAnim.gif\" align=\"left\" title=\"Goto XWebPhone Project\" alt=\"\" style=\"border: 0px solid; width: 48px; height: 48px; \">&nbsp;XWebPhone&reg;MP2MP 인터넷폰 엔진/클라이언트</a><br><br><br><br>";
    // echo "<a href=\"modules.php?name=$module_name&amp;file=ProjXEMTA\"><img src=\"ImageCache/XEMTAAnim.gif\" align=\"left\" title=\"Goto XEMTA Project\" alt=\"\" style=\"border: 0px solid; width: 48px; height: 48px; \">&nbsp;XEMTA: 메일 엔진</a><br><br><br><br>";
    // echo "<a href=\"modules.php?name=$module_name&amp;file=ProjXWebMail\">웹메일 클라이언트</a><br><br><br>";
    // echo "<a href=\"modules.php?name=$module_name&amp;file=ProjXEKA\">암호화인증 서버 엔진</a><br><br><br>";
    // echo "<a href=\"modules.php?name=$module_name&amp;file=ProjXCommunity\">자동화 콘텐츠 엔진</a><br><br><br>";
    // echo "<a href=\"modules.php?name=$module_name&amp;file=ProjPublicDomain\">공익사업</a><br><br><br>";
    // echo "<a href=\"modules.php?name=$module_name&amp;file=ProjOpenSource\">GNU/GPL OpenSource 프로젝트</a><br><br>";
	CloseTable();
    include("footer.php");
}

switch($func) {

    default:
    ProjectDriver();
    break;
   
}

?>